Bug 221462 - Pull Mac-only code out of ScrollController
Summary: Pull Mac-only code out of ScrollController
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords: InRadar
Depends on:
Blocks: 221461
  Show dependency treegraph
 
Reported: 2021-02-05 05:58 PST by Martin Robinson
Modified: 2021-02-15 13:48 PST (History)
19 users (show)

See Also:


Attachments
Patch (128.10 KB, patch)
2021-02-15 04:30 PST, Martin Robinson
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Diff handling file move (41.83 KB, patch)
2021-02-15 04:32 PST, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (128.90 KB, patch)
2021-02-15 05:21 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2021-02-05 05:58:59 PST
ScrollController will soon be shared between platforms, so it makes sense to pull out Mac-specific code into its own source file.
Comment 1 Radar WebKit Bug Importer 2021-02-12 05:59:12 PST
<rdar://problem/74273853>
Comment 2 Martin Robinson 2021-02-15 04:30:51 PST
Created attachment 420302 [details]
Patch
Comment 3 Martin Robinson 2021-02-15 04:32:38 PST
Created attachment 420303 [details]
Diff handling file move

I have also uploaded the git diff which handles file moves and making an easier to read diff.
Comment 4 Martin Robinson 2021-02-15 05:21:49 PST
Created attachment 420309 [details]
Patch
Comment 5 EWS 2021-02-15 13:48:14 PST
Committed r272878: <https://commits.webkit.org/r272878>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 420309 [details].